> For the complete documentation index, see [llms.txt](https://developers.smartpm.com/llms.txt)

# Update import log checklist item

> PUT /project/{projectId}/scenario/{scenarioId}/import-log/{importLogId}/checklist/{importLogChecklistId}/import-log-checklist-items/{importLogChecklistItemId}



## Servers
- SmartPM Production Environment: https://live.smartpmtech.com (SmartPM Production Environment)


## Authentication methods
- Api key


## Parameters
### Headers

- **X-COMPANY-ID** (string)
  The company's unique ID


### Path parameters

- **scenarioId** (integer(int64))

- **projectId** (integer(int64))

- **importLogId** (integer(int64))

- **importLogChecklistItemId** (integer(int64))



### Body: application/json (object)

- **importLogChecklistItemId** (integer(int64))

- **value** (string)

- **importLogChecklistId** (integer(int64))

- **checklistSectionItemId** (integer(int64))

- **importLogChecklistItemDetailRequests** (array[object])



## Responses
### 200
OK

#### Body: */* (object)
- **value** (string)

- **description** (string)

- **importLogChecklistItemId** (integer(int64))

- **checklistSectionItemId** (integer(int64))

- **autoCheckType** (string)

- **autoCheckConditions** (string)

- **importLogChecklistItemDetails** (array[object])



[Powered by Bump.sh](https://bump.sh)
